// state
st = {
  width : 800,
  height : 500,
  grid_loc : [10, 10],
  gsize : 50,
};

// temp mocking function for stats
function ms (hp) {
  return {
    hp : hp,
    mp : 100,
    str : 10,
    def : 10,
  };
}

function init () {
  console.log('init start');
  var soldier = new Unit('girf', 1, 'soldier', 'light', 'spell1', ms(100));
  var bmage = new Unit('minmin', 2, 'black_mage', 'dark', 'spell2', ms(60));
  var wmage = new Unit('luq', 1, 'white_mage', 'water', 'spell3', ms(60));
  var archer = new Unit('jon', 1, 'archer', 'fire', 'spell4', ms(80));
  var aunits = [
    new AUnit(soldier, 3, 4),
    new AUnit(bmage, 2, 5),
    new AUnit(wmage, 3, 5),
    new AUnit(archer, 4, 5),
  ];
  st['battle'] = {
    player_aunits : aunits,
  }
  console.log('foo');
  draw_battle();
  console.log('init end');
}

window.onload = function () {
    canvas = document.getElementById('td');
    ctx = canvas.getContext('2d');
    init();
    //main();
}

window.main = function () {
  console.log('main start');
  window.requestAnimationFrame(main);
  draw_battle();
  console.log('main end');
}
